View Issue Details

IDProjectCategoryView StatusLast Update
0000372FreeCADBugpublic2011-06-09 08:05
Reportertombrown19Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Versiontrunk 
Target VersionFixed in Version0.12 
Summary0000372: 2D drafting crash
DescriptionBug Report: 2D drafting crash

Postby tombrown19 ยป Wed Jun 08, 2011 8:34 pm
Machine:

AMD 9850
Foxconn A7DA-S (790GX/SB750)
8GB RAM
17 x 2TB WD Caviar Green (16 in a ZFS - ZRAID1 array)
1 x 64GB Kingston SSDNow V+ SNVP325S264GB:

Software:

Distribution: ArchLinux
Kernel: 2.6.37 (vanilla)
xorg: xorg-server 1.10.2-1
KDE: 4.6.3-1
FreeCAD: 0.12 (4545)

Description:

I have a file with three objects defined using the 2d Drafting workbench.

Those three objects are: wire, distance, line

I can turn any of the three objects on and off but if I try to delete the distance object, it will crash every time.


Reproducibility:

- load the file I have attached
- select the "Distance" object
- press <Delete>
TagsNo tags attached.

Activities

2011-06-08 20:24

 

House.fcstd (Attachment missing)

wmayer

2011-06-09 08:05

administrator   ~0000893

Fixed in r4563

http://free-cad.svn.sourceforge.net/viewvc/free-cad?view=revision&revision=4563

Issue History

Date Modified Username Field Change
2011-06-08 20:24 tombrown19 New Issue
2011-06-08 20:24 tombrown19 File Added: House.fcstd
2011-06-09 08:05 wmayer Note Added: 0000893
2011-06-09 08:05 wmayer Status new => closed
2011-06-09 08:05 wmayer Resolution open => fixed
2011-06-09 08:05 wmayer Fixed in Version => 0.12